package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.SysAboutStsMapper;
import com.ruoyi.system.domain.SysAboutSts;
import com.ruoyi.system.service.ISysAboutStsService;

@Service
public class SysAboutStsServiceImpl implements ISysAboutStsService
{
    @Autowired
    private SysAboutStsMapper sysAboutStsMapper;

    @Override
    public SysAboutSts selectSysAboutStsById(Long id)
    {
        return sysAboutStsMapper.selectSysAboutStsById(id);
    }

    @Override
    public List<SysAboutSts> selectSysAboutStsList()
    {
        return sysAboutStsMapper.selectSysAboutStsList();
    }

    @Override
    public int insertSysAboutSts(SysAboutSts sysAboutSts)
    {
        return sysAboutStsMapper.insertSysAboutSts(sysAboutSts);
    }

    @Override
    public int updateSysAboutSts(SysAboutSts sysAboutSts)
    {
        return sysAboutStsMapper.updateSysAboutSts(sysAboutSts);
    }

    @Override
    public int deleteSysAboutStsById(Long id)
    {
        return sysAboutStsMapper.deleteSysAboutStsById(id);
    }

    @Override
    public int deleteSysAboutStsByIds(Long[] ids)
    {
        return sysAboutStsMapper.deleteSysAboutStsByIds(ids);
    }
}
